> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/accounts/{accountId}/balances

> Gets page of balance objects for the given account id.



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json get /preview/retail-media/accounts/{accountId}/balances
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/accounts/{accountId}/balances:
    get:
      tags:
        - Balance
      summary: /preview/retail-media/accounts/{accountId}/balances
      description: Gets page of balance objects for the given account id.
      operationId: GetPageOfBalancesV1
      parameters:
        - name: accountId
          in: path
          description: The account to get balances for.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: The number of elements to be returned.
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
            default: 25
        - name: limit-to-id
          in: query
          description: The balance ids which the result is limited to.
          schema:
            maxItems: 50
            type: array
            items:
              type: string
        - name: offset
          in: query
          description: The (zero-based) starting offset in the collection.
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
            default: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EntityResourceCollectionOutcomeBalanceV1AndMetadata
      security:
        - oauth:
            - RetailMedia_Balance_Read
components:
  schemas:
    EntityResourceCollectionOutcomeBalanceV1AndMetadata:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EntityResourceBalanceV1'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/Metadata'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata.
    EntityResourceBalanceV1:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/BalanceV1'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
      nullable: true
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    Metadata:
      required:
        - limit
        - offset
      type: object
      properties:
        count:
          type: integer
          format: int64
          nullable: true
        limit:
          type: integer
          description: The number of elements to be returned.
          format: int32
        offset:
          type: integer
          description: The (zero-based) starting offset in the collection.
          format: int32
      additionalProperties: false
      description: Metadata related to the current request.
      nullable: true
    BalanceV1:
      required:
        - balanceType
        - createdAt
        - deposited
        - name
        - privateMarketBillingType
        - remaining
        - spendType
        - spent
        - startDate
        - status
        - updatedAt
      type: object
      properties:
        balanceType:
          enum:
            - unknown
            - capped
            - uncapped
          type: string
          description: Type of the balance.
        createdAt:
          type: string
          description: Creation time of the balance.
          format: date-time
        criteoPoNumber:
          type: string
          description: Criteo purchase order number.
          nullable: true
        deposited:
          type: number
          description: Amount of billable funds allotted to the balance.
          format: double
        endDate:
          type: string
          description: End date of the balance in the format YYYY-MM-DD.
          nullable: true
        memo:
          type: string
          description: Memo.
          nullable: true
        name:
          type: string
          description: Name of the balance.
        privateMarketBillingType:
          enum:
            - notApplicable
            - billByRetailer
            - billByCriteo
            - unknown
          type: string
          description: Billing type for Private Market of the balance.
        remaining:
          type: number
          description: Amount of remaining funds of the balance.
          format: double
        retailerId:
          type: string
          description: The billing retailer id.
          nullable: true
        retailerPoNumber:
          type: string
          description: Retailer purchase order number.
          nullable: true
        spendType:
          enum:
            - onsite
            - offsite
            - offsiteAwareness
            - lockout
            - unknown
          type: string
          description: Spend Type of the balance.
        spent:
          type: number
          description: Amount of spent funds of the balance.
          format: double
        startDate:
          type: string
          description: Start date of the balance in the format YYYY-MM-DD.
        status:
          enum:
            - unknown
            - scheduled
            - active
            - ended
          type: string
          description: Status of the balance.
        updatedAt:
          type: string
          description: Update time of the balance.
          format: date-time
      additionalProperties: false
      description: >-
        A Retail Media Balance used to determine the funds available for any or
        all campaigns in an account.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````